Description
===========

Installs and configures TestSwarm according to the instructions at https://github.com/jquery/testswarm#readme with Apache, MySQL, PHP, OpenSSL, cURL and unzip. By default you will need to go to http://hostname/testswarm after installation.

Requirements
============

Platform
--------

* Ubuntu

Tested on:

* Ubuntu 12.04

Cookbooks
---------

* apache2
* mysql
* php
* openssl (uses library to generate secure passwords)

Attributes
==========

* node['testswarm']['db']['name'] - database's name ("testswarm" by default)
* node['testswarm']['db']['user'] - database's username ("testswarm" by default)
* node['testswarm']['db']['password'] - database's password (randomly generated by default)
* node['testswarm']['version'] - testswarm git tag/branch version to install ("master" by default)
* node['testswarm']['dir'] - installation directory ("/var/www/testswarm" by default)
* node['testswarm']['url_path'] - base url for apache2 rewrite ("/testswarm" by default)

Usage
=====

You can customise some configuration files in templates/default 

* testswarm.json.erb - for TestSwarm general configuration
* apache2.conf.erb - for Apache configuration it will be generated to apache2/conf.d/testswarm.conf

License and Author
==================

Author:: Hadrien Dorio (hadrien.dorio@gmail.com)

Copyright:: 2012, Hadrien Dorio

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
